//
//  SIDPush.h
//  SocialID
//
//  Created by Renato Neves on 3/31/14.
//  Copyright (c) 2014 Coffee Bean Tech. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SIDPush : NSObject

/**
 Shows an UIAlertView with the push notification info and updates the Application badge if necessary.
 Call this from didReceiveRemoteNotification.
 @param userInfo The userInfo dictionary provided by didReceiveRemoteNotification.
 */
+ (void) handleNotification:(NSDictionary *)userInfo;

/**
 Updates the Application badge.
 @param badge The new Application badge value.
 */
+ (void) handleBadge:(id)badge;

@end
